PDF::API2::Basic::PDF::Page(3)

NAME
PDF::API2::Basic::PDF::Page - Low-level PDF page object

DESCRIPTION
Represents a page of output in PDF. It also keeps track of the content stream, any resources (such as fonts) being switched, etc.

Page inherits from Pages due to a number of shared methods. They are really structurally quite different.

INSTANCE VARIABLES
A page has various working variables:

curstrm
    The currently open stream

METHODS

  PDF::API2::Basic::PDF::Page->new($pdf, $parent, $index)
Creates a new page based on a pages object (perhaps the root object).

The page is also added to the parent at this point, so pages are ordered in a PDF document in the order in which they are created rather than in the order they are closed.

Only the essential elements in the page dictionary are created here, all others are either optional or can be inherited.

The optional index value indicates the index in the parent list that this page should be inserted (so that new pages need not be appended)

  $p->ship_out($pdf)
Ships the page out to the given output file context